gstreamermm: Gst::XImageSink Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::XImageSink Class Reference
gstreamermm Plugins

A Wrapper for the ximagesink plugin. More...

Inheritance diagram for Gst::XImageSink:
[legend]
Collaboration diagram for Gst::XImageSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~XImageSink ()
GstXImageSink* | gobj ()
| Provides access to the underlying C GObject.
const GstXImageSink* | gobj () const
| Provides access to the underlying C GObject.
GstXImageSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_display ()
| X Display name.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_display () const
| X Display name.
Glib::PropertyProxy< bool > | property_synchronous ()
| When enabled, runs the X display in synchronous mode.
Glib::PropertyProxy_ReadOnly < bool > | property_synchronous () const
| When enabled, runs the X display in synchronous mode.
Glib::PropertyProxy < Glib::ustring > | property_pixel_aspect_ratio ()
| The pixel aspect ratio of the device.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_pixel_aspect_ratio () const
| The pixel aspect ratio of the device.
Glib::PropertyProxy< bool > | property_force_aspect_ratio ()
| When enabled, reverse caps negotiation (scaling) will respect original aspect ratio.
Glib::PropertyProxy_ReadOnly < bool > | property_force_aspect_ratio () const
| When enabled, reverse caps negotiation (scaling) will respect original aspect ratio.
Glib::PropertyProxy< bool > | property_handle_events ()
| When enabled, XEvents will be selected and handled.
Glib::PropertyProxy_ReadOnly < bool > | property_handle_events () const
| When enabled, XEvents will be selected and handled.
Glib::PropertyProxy< bool > | property_handle_expose ()
| When enabled, the current frame will always be drawn in response to X Expose events.
Glib::PropertyProxy_ReadOnly < bool > | property_handle_expose () const
| When enabled, the current frame will always be drawn in response to X Expose events.
Glib::PropertyProxy_ReadOnly < guint64 > | property_window_width () const
| Width of the window.
Glib::PropertyProxy_ReadOnly < guint64 > | property_window_height () const
| Height of the window.
## Static Public Member Functions
static Glib::RefPtr< XImageSink > | create ()
| Creates a new ximagesink plugin with a unique name.
static Glib::RefPtr< XImageSink > | create (const Glib::ustring& name)
| Creates a new ximagesink plugin with the given name.
## Protected Member Functions
| XImageSink ()
| XImageSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::XImageSink > | wrap (GstXImageSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the ximagesink plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::XImageSink::~XImageSink | ( |  | ) | `[virtual]`

Gst::XImageSink::XImageSink | ( |  | ) | `[protected]`

Gst::XImageSink::XImageSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<XImageSink> Gst::XImageSink::create | ( |  | ) | `[static]`

Creates a new ximagesink plugin with a unique name.

static Glib::RefPtr<XImageSink> Gst::XImageSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new ximagesink plugin with the given name.

const GstXImageSink* Gst::XImageSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Interface.

GstXImageSink* Gst::XImageSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Interface.

GstXImageSink* Gst::XImageSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::VideoSink.

Glib::PropertyProxy< Glib::ustring > Gst::XImageSink::property_display | ( |  | ) |

X Display name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::XImageSink::property_display | ( |  | ) | const

X Display name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XImageSink::property_force_aspect_ratio | ( |  | ) |

When enabled, reverse caps negotiation (scaling) will respect original aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XImageSink::property_force_aspect_ratio | ( |  | ) | const

When enabled, reverse caps negotiation (scaling) will respect original aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XImageSink::property_handle_events | ( |  | ) |

When enabled, XEvents will be selected and handled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XImageSink::property_handle_events | ( |  | ) | const

When enabled, XEvents will be selected and handled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XImageSink::property_handle_expose | ( |  | ) |

When enabled, the current frame will always be drawn in response to X Expose events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XImageSink::property_handle_expose | ( |  | ) | const

When enabled, the current frame will always be drawn in response to X Expose events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::XImageSink::property_pixel_aspect_ratio | ( |  | ) |

The pixel aspect ratio of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::XImageSink::property_pixel_aspect_ratio | ( |  | ) | const

The pixel aspect ratio of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XImageSink::property_synchronous | ( |  | ) |

When enabled, runs the X display in synchronous mode.

(unrelated to A/V sync, used only for debugging).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XImageSink::property_synchronous | ( |  | ) | const

When enabled, runs the X display in synchronous mode.

(unrelated to A/V sync, used only for debugging).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::XImageSink::property_window_height | ( |  | ) | const

Height of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::XImageSink::property_window_width | ( |  | ) | const

Width of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::XImageSink > wrap | ( | GstXImageSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/ximagesink.h